Subject: [zope] Digest Number 1120
From: [email-masked]
To: [email-masked]
Date: 14 Feb 2001 17:23:36 -0000

------------------------ Yahoo! Groups Sponsor ---------------------~-~>
eGroups is now Yahoo! Groups
Click here for more details
http://click.egroups.com/1/11231/1/_/1813/_/982171416/
---------------------------------------------------------------------_->

There are 25 messages in this issue.

Topics in this digest:

      1. Re: [Zope]:  export to excel
           From: "Phil Harris" <[email-masked]>
      2. Re: Zope multiIP
           From: Jens Vagelpohl <[email-masked]>
      3. Re: [Zope-dev] Re: ThreadSafeCounter
           From: Tres Seaver <[email-masked]>
      4. Re: [Zope]:  export to excel
           From: Jerome Alet <[email-masked]>
      5. [Zope-dev] D'Oh!
           From: Chris Withers <[email-masked]>
      6. RV: Z2 CONFLICT Competing writes at...
           From: Juan Carlos Coruña <[email-masked]>
      7. Re: VirtualHostMonster
           From: "Olivier Deckmyn" <[email-masked]>
      8. Re: constraint in postgres
           From: Fred Yankowski <[email-masked]>
      9. Re: [Zope]:  export to excel
           From: "Phil Harris" <[email-masked]>
     10. RE: [Zope]:  export to excel
           From: "Farrell, Troy" <[email-masked]>
     11. Re: Editing with Emacs in Zope 2.3.0
           From: J M Cerqueira Esteves <[email-masked]>
     12. Re: constraint in postgres
           From: Andrew Kenneth Milton <[email-masked]>
     13. Re: Newbie Alert how to make Zope work off line
           From: Toby Dickenson <[email-masked]>
     14. the misc_ dictionary
           From: aZaZel <[email-masked]>
     15. MailHost product?
           From: Edwin Martin <[email-masked]>
     16. searching ZCatalog from Python Script
           From: Sandy Britain <[email-masked]>
     17. Re: MailHost product?
           From: Oliver Bleutgen <[email-masked]>
     18. Re: [Zope-dev] Introducing ZopePrints.
           From: "Andy McKay" <[email-masked]>
     19. Re:searching ZCatalog from Python Script - please read first!
           From: Sandy Britain <[email-masked]>
     20. [Zope-dev] Re: More Feedback on ZDebug and/or Refresh
           From: Shane Hathaway <[email-masked]>
     21. Re: [Zope-dev] Introducing ZopePrints.
           From: Matt Hamilton <[email-masked]>
     22. OT: Re: KDE's Konqueror
           From: Bill Anderson <[email-masked]>
     23. Re: export to excel
           From: Ayhan Ergul <[email-masked]>
     24. Re: [Zope-dev] Introducing ZopePrints.
           From: "Andy McKay" <[email-masked]>
     25. worldpilot broken? - not returning text of messages
           From: tom smith <[email-masked]>

________________________________________________________________________
________________________________________________________________________

Message: 1
   Date: Wed, 14 Feb 2001 12:46:23 -0000
   From: "Phil Harris" <[email-masked]>
Subject: Re: [Zope]:  export to excel

Create a CVS file, which if formatted correctly will open fine in Excel.

----- Original Message -----
From: "K H Subrahmanyan" <[email-masked]>
To: "Dieter Maurer" <[email-masked]>; <[email-masked]>;
<[email-masked]>; <[email-masked]>
Cc: <[email-masked]>
Sent: Wednesday, February 14, 2001 11:37 AM
Subject: [Zope] [Zope]: export to excel

> hi,
>    I would like to export the data in my zope database to excel.
> I have done the reverse process that is, I have stored the excel file in
> text format and
> imported the data into my database and now I want to export back.
>
> is there any method.
>
> thanks in advance.
> subrahmayan
>
>
> _______________________________________________
> Zope maillist  -  [email-masked]
> http://lists.zope.org/mailman/listinfo/zope
> **   No cross posts or HTML encoding!  **
> (Related lists -
>  http://lists.zope.org/mailman/listinfo/zope-announce
>  http://lists.zope.org/mailman/listinfo/zope-dev )

_______________________________________________
Zope maillist  -  [email-masked]
http://lists.zope.org/mailman/listinfo/zope
**   No cross posts or HTML encoding!  **
(Related lists - 
 http://lists.zope.org/mailman/listinfo/zope-announce
 http://lists.zope.org/mailman/listinfo/zope-dev )

________________________________________________________________________
________________________________________________________________________

Message: 2
   Date: Wed, 14 Feb 2001 07:48:32 -0500
   From: Jens Vagelpohl <[email-masked]>
Subject: Re: Zope multiIP

read into z2.py at the root of your zope installation. it has good
explanations for all commandline switches for zope. some of these influence
the ports and IP addresses zope will listen on.

jens

on 2/14/01 3:53, Ruberl Michele at [email-masked] wrote:

> Hi everybody,
> I have Zope running on a machine which has a few IP addresses. Is it somehow
> possible to make it listen on port 8080 of just one or some of these IPs, as
> for instance is possible in Apache with the Listen directive?
> Thank you
> 
> Michele

_______________________________________________
Zope maillist  -  [email-masked]
http://lists.zope.org/mailman/listinfo/zope
**   No cross posts or HTML encoding!  **
(Related lists - 
 http://lists.zope.org/mailman/listinfo/zope-announce
 http://lists.zope.org/mailman/listinfo/zope-dev )

________________________________________________________________________
________________________________________________________________________

Message: 3
   Date: Wed, 14 Feb 2001 07:36:52 -0500 (EST)
   From: Tres Seaver <[email-masked]>
Subject: Re: [Zope-dev] Re: ThreadSafeCounter

On Wed, 14 Feb 2001, Johan Carlsson wrote:

> > Small confusion here:  "ZODB" is a higher-level abstraction than
> > "FileStorage";  it is quite feasible to have one or more storages
> > inside your Zope which are "packless" / "undo-less", and which
> > then have the space efficiencies you are looking for (often at a
> > non-trivial time cost).
> 
> Is where anyway to pack an ExternalMount without having to
> unmount it first?  Could it be setup to do inside Zope?

I'm unsure about this.

> How does DC handle this on zope.org (I believe the wikis are on
> a ExternalMount, if I'm not mistaken)

We never pack the wikis storage:  that difference in policy is
actually the reason we moved wikis to a separate storage in the
first place.

The other thing about the zope.org storages is that they are all
served by a ZEO storage server;  hence, I think it would be
feasible to create an additional ZEO client, which used the main
site's "sub-storage" as its own main storage;  one would then be
able to pack it (I think), while leaving the main site running
(but more slowly during the pack).

Tres.
-- 
===============================================================
Tres Seaver                                [email-masked]
Digital Creations     "Zope Dealers"       http://www.zope.org

_______________________________________________
Zope-Dev maillist  -  [email-masked]
http://lists.zope.org/mailman/listinfo/zope-dev
**  No cross posts or HTML encoding!  **
(Related lists - 
 http://lists.zope.org/mailman/listinfo/zope-announce
 http://lists.zope.org/mailman/listinfo/zope )

________________________________________________________________________
________________________________________________________________________

Message: 4
   Date: Wed, 14 Feb 2001 13:50:00 +0100 (MET)
   From: Jerome Alet <[email-masked]>
Subject: Re: [Zope]:  export to excel

On Wed, 14 Feb 2001, Phil Harris wrote:

> Create a CVS file, which if formatted correctly will open fine in Excel.

you probably meant CSV, for Comma Separated Values, instead of CVS for
Concurrent Versionning System...

bye,

Jerome Alet

_______________________________________________
Zope maillist  -  [email-masked]
http://lists.zope.org/mailman/listinfo/zope
**   No cross posts or HTML encoding!  **
(Related lists - 
 http://lists.zope.org/mailman/listinfo/zope-announce
 http://lists.zope.org/mailman/listinfo/zope-dev )

________________________________________________________________________
________________________________________________________________________

Message: 5
   Date: Wed, 14 Feb 2001 12:58:20 +0000
   From: Chris Withers <[email-masked]>
Subject: [Zope-dev] D'Oh!

Chris Withers wrote:
> 
> ...now I presume that's 'cos there's a syntax error in my module's code. Is
> there anyway I can get something like the tracebacks you get when you restart
> Zope and this kindof thing happens?

Actually, the traceback I was looking for shows up in exactly the same palce as
it did before: the console window...

It'd be amazingly cool (if totally unnecessary) if it could be redirected into
the Refresh Tab...

cheers,

Chris

_______________________________________________
Zope-Dev maillist  -  [email-masked]
http://lists.zope.org/mailman/listinfo/zope-dev
**  No cross posts or HTML encoding!  **
(Related lists - 
 http://lists.zope.org/mailman/listinfo/zope-announce
 http://lists.zope.org/mailman/listinfo/zope )

________________________________________________________________________
________________________________________________________________________

Message: 6
   Date: Wed, 14 Feb 2001 13:59:18 +0100
   From: Juan Carlos Coruña <[email-masked]>
Subject: RV: Z2 CONFLICT Competing writes at...

> -----Mensaje original-----
> De: Chris Withers [mailto:[email-masked]]
> Enviado el: miércoles, 07 de febrero de 2001 0:06
> Para: Juan Carlos Coruña; [email-masked]
> Asunto: Re: [Zope] Z2 CONFLICT Competing writes at...
> 
> 
> > What means this error?
> 
> It means two Zope threads were trying to modify something in the dealer
> folder at the same time, and in such a way that one thread held onto the
> object for so long that the other one timed out...
> 
> > After upgrading from Zope-2.2.5 to 2.3.0 I became this error
> 
> What products do you have installed?
> 
SQLSession and Z MySQL.
> What kind of object is 'dealer' and what kind of objects are contained
> within it?
> 
dealer is a folder and contains dtml methods, dtml document, python scripts, folders, access rule, MySQL database connection, sesion folder, external method. 
> cheers,
> 
> Chris

_______________________________________________
Zope maillist  -  [email-masked]
http://lists.zope.org/mailman/listinfo/zope
**   No cross posts or HTML encoding!  **
(Related lists - 
 http://lists.zope.org/mailman/listinfo/zope-announce
 http://lists.zope.org/mailman/listinfo/zope-dev )

________________________________________________________________________
________________________________________________________________________

Message: 7
   Date: Wed, 14 Feb 2001 14:01:15 +0100
   From: "Olivier Deckmyn" <[email-masked]>
Subject: Re: VirtualHostMonster

Also in Zope 2.2.x with latest SiteAccess (version "b4" I think)

my 0.02$....

----- Original Message ----- 
From: "Chris Withers" <[email-masked]>
To: "Jason C. Leach" <[email-masked]>
Cc: <[email-masked]>
Sent: Wednesday, February 14, 2001 10:51 AM
Subject: Re: [Zope] VirtualHostMonster

> "Jason C. Leach" wrote:
> > 
> > What's VirtualHostMonster and where can I track it down?
> 
> It's part of SiteAccess in Zope 2.3
> 
> cheers,
> 
> Chris
> 
> _______________________________________________
> Zope maillist  -  [email-masked]
> http://lists.zope.org/mailman/listinfo/zope
> **   No cross posts or HTML encoding!  **
> (Related lists - 
>  http://lists.zope.org/mailman/listinfo/zope-announce
>  http://lists.zope.org/mailman/listinfo/zope-dev )

_______________________________________________
Zope maillist  -  [email-masked]
http://lists.zope.org/mailman/listinfo/zope
**   No cross posts or HTML encoding!  **
(Related lists - 
 http://lists.zope.org/mailman/listinfo/zope-announce
 http://lists.zope.org/mailman/listinfo/zope-dev )

________________________________________________________________________
________________________________________________________________________

Message: 8
   Date: Wed, 14 Feb 2001 07:05:22 -0600
   From: Fred Yankowski <[email-masked]>
Subject: Re: constraint in postgres

Isn't this a classic "referential integrity" case?  If so, you could
try this:

	create table country (id serial primary key, ...);

	create table address (id serial,
			      country_id int4 references country, ...);

On Wed, Feb 14, 2001 at 09:29:27AM +0100, Olaf Zanger wrote:
> i want to make some constraint-restrictions with two tables in postgres 
> 
> create table address ( id serial,  country_id int4, ....);
> and
> create table country (id serial, ...);
> 
> i want to make sure that the country-row with "id=2" is not deleted 
> if there is still a corresponding data-set with "country_id=2" in the address table.

-- 
Fred Yankowski           [email-masked]      tel: +1.630.879.1312
Principal Consultant     www.OntoSys.com       fax: +1.630.879.1370
OntoSys, Inc             38W242 Deerpath Rd, Batavia, IL 60510, USA

_______________________________________________
Zope maillist  -  [email-masked]
http://lists.zope.org/mailman/listinfo/zope
**   No cross posts or HTML encoding!  **
(Related lists - 
 http://lists.zope.org/mailman/listinfo/zope-announce
 http://lists.zope.org/mailman/listinfo/zope-dev )

________________________________________________________________________
________________________________________________________________________

Message: 9
   Date: Wed, 14 Feb 2001 13:05:07 -0000
   From: "Phil Harris" <[email-masked]>
Subject: Re: [Zope]:  export to excel

Yep

----- Original Message -----
From: "Jerome Alet" <[email-masked]>
To: "Phil Harris" <[email-masked]>
Cc: "K H Subrahmanyan" <[email-masked]>; "Dieter Maurer"
<[email-masked]>; <[email-masked]>; <[email-masked]>;
<[email-masked]>; <[email-masked]>
Sent: Wednesday, February 14, 2001 12:50 PM
Subject: Re: [Zope] [Zope]: export to excel

> On Wed, 14 Feb 2001, Phil Harris wrote:
>
> > Create a CVS file, which if formatted correctly will open fine in Excel.
>
> you probably meant CSV, for Comma Separated Values, instead of CVS for
> Concurrent Versionning System...
>
> bye,
>
> Jerome Alet
>
>
> _______________________________________________
> Zope maillist  -  [email-masked]
> http://lists.zope.org/mailman/listinfo/zope
> **   No cross posts or HTML encoding!  **
> (Related lists -
>  http://lists.zope.org/mailman/listinfo/zope-announce
>  http://lists.zope.org/mailman/listinfo/zope-dev )

_______________________________________________
Zope maillist  -  [email-masked]
http://lists.zope.org/mailman/listinfo/zope
**   No cross posts or HTML encoding!  **
(Related lists - 
 http://lists.zope.org/mailman/listinfo/zope-announce
 http://lists.zope.org/mailman/listinfo/zope-dev )

________________________________________________________________________
________________________________________________________________________

Message: 10
   Date: Wed, 14 Feb 2001 07:11:41 -0600
   From: "Farrell, Troy" <[email-masked]>
Subject: RE: [Zope]:  export to excel

Subrahmayan,
  I can't speak for everyone you write to, but you should probably just send
your requests to the [email-masked] list.
  You need to write a method that writes the data out as comma separated
values.  To work with IE, you need to make your method name end with ".csv".
You should also do a <dtml-call "REQUEST.set_header('Content-Type',
'application/vnd.ms-excel')"> or try <dtml-call
"REQUEST.set_header('Content-Type', 'text/csv')">

Troy

-----Original Message-----
From: K H Subrahmanyan [mailto:[email-masked]]
Sent: Wednesday, February 14, 2001 5:37 AM
To: Dieter Maurer; [email-masked]; [email-masked];
[email-masked]
Cc: [email-masked]
Subject: [Zope] [Zope]: export to excel

hi,
   I would like to export the data in my zope database to excel.
I have done the reverse process that is, I have stored the excel file in
text format and
imported the data into my database and now I want to export back.

is there any method.

thanks in advance.
subrahmayan

_______________________________________________
Zope maillist  -  [email-masked]
http://lists.zope.org/mailman/listinfo/zope
**   No cross posts or HTML encoding!  **
(Related lists - 
 http://lists.zope.org/mailman/listinfo/zope-announce
 http://lists.zope.org/mailman/listinfo/zope-dev )

_______________________________________________
Zope maillist  -  [email-masked]
http://lists.zope.org/mailman/listinfo/zope
**   No cross posts or HTML encoding!  **
(Related lists - 
 http://lists.zope.org/mailman/listinfo/zope-announce
 http://lists.zope.org/mailman/listinfo/zope-dev )

________________________________________________________________________
________________________________________________________________________

Message: 11
   Date: Wed, 14 Feb 2001 13:12:36 +0000
   From: J M Cerqueira Esteves <[email-masked]>
Subject: Re: Editing with Emacs in Zope 2.3.0

On Wed, Feb 14, 2001 at 12:42:11PM +0000, Anselm Lingnau wrote:
> I'm trying to use Emacs with ange-ftp to edit DTML code on a remote
> Zope 2.3.0 server. My problem is that, when I want to edit a DTML
> document with a pathname like »/user@host 8021:/foo/bar/baz«, first of
> all I get a dired buffer offering me »baz« (and nothing else), which
> is then opened with the name »/user@host 8021:/foo/bar/baz/baz« (in
> spite of the fact that »baz« is not a directory). Then afterwards
> saving the DTML document fails (which is probably to be expected).

I've been experiencing this behaviour under xemacs for a long time, not
only with 2.3.0.  I haven't tested carefully to see what are the exact
conditions triggering this, but it happens sometimes when I return to a
previously open dired buffer and select some object for editing, which
emacs (or the server?) then seems to consider "folderish" as in your example.

After pressing "g" to refresh the dired buffer for /foo/bar, 
/foo/bar/baz can be normally retrieved again.

I'm using passive ftp under xemacs 21.1 
( (setq efs-make-backup-files nil) and (setq efs-ftp-program-name "pftp")
in .emacs).

-- 
 jmce: +351 919838775 ~ http://artenumerica.com/ ~ http://artenumerica.org/

_______________________________________________
Zope maillist  -  [email-masked]
http://lists.zope.org/mailman/listinfo/zope
**   No cross posts or HTML encoding!  **
(Related lists - 
 http://lists.zope.org/mailman/listinfo/zope-announce
 http://lists.zope.org/mailman/listinfo/zope-dev )

________________________________________________________________________
________________________________________________________________________

Message: 12
   Date: Wed, 14 Feb 2001 23:46:38 +1000
   From: Andrew Kenneth Milton <[email-masked]>
Subject: Re: constraint in postgres

+-------[ Fred Yankowski ]----------------------
| Isn't this a classic "referential integrity" case?  If so, you could
| try this:
| 
| 	create table country (id serial primary key, ...);
| 
| 	create table address (id serial,
| 			      country_id int4 references country, ...);

references country(id) more than likely, unless you have a unique country_id in country.
That is you don't need two fields with basicaly the same info, when you already have
a unique serial id which is the primary key.

This also stops you from inserting into address without a valid country, as
a bonus side effect.

-- 
Totally Holistic Enterprises Internet|  P:+61 7 3870 0066   | Andrew Milton
The Internet (Aust) Pty Ltd          |  F:+61 7 3870 4477   | 
ACN: 082 081 472 ABN: 83 082 081 472 |  M:+61 416 022 411   | Carpe Daemon
PO Box 837 Indooroopilly QLD 4068    [email-masked]| 

_______________________________________________
Zope maillist  -  [email-masked]
http://lists.zope.org/mailman/listinfo/zope
**   No cross posts or HTML encoding!  **
(Related lists - 
 http://lists.zope.org/mailman/listinfo/zope-announce
 http://lists.zope.org/mailman/listinfo/zope-dev )

________________________________________________________________________
________________________________________________________________________

Message: 13
   Date: Wed, 14 Feb 2001 13:54:27 +0000
   From: Toby Dickenson <[email-masked]>
Subject: Re: Newbie Alert how to make Zope work off line

On Wed, 14 Feb 2001 13:08:08 +0100,
[email-masked] wrote:

>Hi,
>
>I would like to know if there is any way to run Zope without being 
>connected to the Internet. It would be very useful to me to minimise 
>connection time, since I have a dial up connection home.

Zope doesnt need an internet connection, if you will be running the
browser on the same machine as Zope.

>I am running Zope 2.2.5 on Win 95. My Internet connection uses DHCP 

Add to your z2.py command line:

-X -a 127.0.0.1 -w 8080 HTTP_HOST=localhost:8080

Assuming theres only you access this Zope, then you dont need Zope's
default level of concurrency. If you find Zope is using alot of memory
then you might benefit from adding: 

-t 1

I hope this helps,

Toby Dickenson
[email-masked]

_______________________________________________
Zope maillist  -  [email-masked]
http://lists.zope.org/mailman/listinfo/zope
**   No cross posts or HTML encoding!  **
(Related lists - 
 http://lists.zope.org/mailman/listinfo/zope-announce
 http://lists.zope.org/mailman/listinfo/zope-dev )

________________________________________________________________________
________________________________________________________________________

Message: 14
   Date: Wed, 14 Feb 2001 15:31:02 +0100
   From: aZaZel <[email-masked]>
Subject: the misc_ dictionary

Hi all,

I'm a little bit confused on how to use the misc_ dictionary to define product resources. I've looked into other products such as ZCatalog ZGadflyDA and SiteAccess but it's use is not so clear for me especially because most products only need to associate an icon with a python class. 

Someone can explain a bit more how to use it?

There is an usege policy?

thanks in advance

Alberto 

_______________________________________________
Zope maillist  -  [email-masked]
http://lists.zope.org/mailman/listinfo/zope
**   No cross posts or HTML encoding!  **
(Related lists - 
 http://lists.zope.org/mailman/listinfo/zope-announce
 http://lists.zope.org/mailman/listinfo/zope-dev )

________________________________________________________________________
________________________________________________________________________

Message: 15
   Date: Wed, 14 Feb 2001 16:04:21 +0100
   From: Edwin Martin <[email-masked]>
Subject: MailHost product?

Hello,

After upgrading to Zope 2.2.4, I can't mail anymore.

I have a page which sends an e-mail. I'm sure the
proxy-settings are ok. It still won't work.

I clicked 'MailHost' I once added to the root and it gives
an error. Deleting the MailHost and trying to add a new
one also gives an error: "Resource not found".

No big deal. Lets find an updated MailHost product.

The easiest way: I type 'MailHost' in the search-box.
17 Items found, but no MailHost product. Let's try the
'Advanced search'. Here, I can select a category, so
I select 'Product release'. No results...

I go to the download-page on the Zope website.
I try all 'obvious' categories, but MailHost is in none
of them. But fortunately, there is always the 'catch-all'
'All Zope Products'.

The page says: "They are listed in alphabetical order".
The page begins with 'Refresh'. Right. So I click 'Title'.

There are 284 products. I can't click the 'M' for MailHost,
so I have to browse... Click-wait-click-wait-click-wait....

'Macromedia Generator 2 Adapter', 'Managed Mode
additions to ZWiki'...

What? No MailHost??

Grrr. And this is certainly not the first time I couldn't find
the stuff I need.

Please help me! Why is there no good documentation?
Why is Zope so baaad?

Why didn't I had these problems with Perl, PHP, C or Java?

Why does this Zope-project takes twice as long as any
other project?

Edwin Martin.

_______________________________________________
Zope maillist  -  [email-masked]
http://lists.zope.org/mailman/listinfo/zope
**   No cross posts or HTML encoding!  **
(Related lists - 
 http://lists.zope.org/mailman/listinfo/zope-announce
 http://lists.zope.org/mailman/listinfo/zope-dev )

________________________________________________________________________
________________________________________________________________________

Message: 16
   Date: Wed, 14 Feb 2001 15:16:45 +0000
   From: Sandy Britain <[email-masked]>
Subject: searching ZCatalog from Python Script

Hi all,
I am relatively new to Zope and Python, so there is probably a short way
to describe my problem, but trying to be clear from the top so that you
can see if  I've done something daft:
I am trying to create a little web app component called 'TeamJournal'.

The component  should allow an authenticated user in my work team (from
a web interface of my creation) to:
1. add an an entry to their journal and 2. to view their own or
everyones entries for the last week.

TheTeamJournal I have implemented as a ZClass with  indexes and metadata
both containing the items -
'author' and 'date' which map to properties in a propertysheet in the
ZClass called entryInfo.

Additionally I have a folder called  'Journals' in the Zope Root which
contains:
1. a ZCatalog called 'Catalog'
2. a bunch of DTMLmethod objects and my offending python script that is
the point of my question
3. a folder called entries where the journal entry objects get stored
when they are created.

As it stands I can add an entry from a web form, view all the journal
entries in a web page by calling a DTML method in Journals and search on
'author' through the web via the forms generated by the
ZSearchInterface.

But reading the ZOPE book chapter 9, there is suggested a cool way to
query a ZCatalog from a python script (the relevantSectionNews example).
Using this approach I tried to get just my own entries  by writing a
python script called getMyEntries that looks like this:

                    user = context.REQUEST.AUTHENTICATED_USER
                    return context.Catalog({'author'  : user} )

So to get to the point:

The problem is this script doesn't seem to return anything, although it
appears to run when I test it. I have three catalogued entry items in
the Journals.entries folder.

So I tried:
                       return context.Catalog()

which produced the following output:

                        [<mybrains instance at 013281D0>, <mybrains
instance at 01328650>, <mybrains instance at 013286C0>]

well its 3 objects, but where 'mybrains' comes from I don't know. So
then I wrote the following DTML method also in the Journals folder to
try and get to the content of the objects:

<ul>
<dtml-in getMyEntries>
  <li><a href=&dtml-absolute_url;"><dtml-var date></a></li>
</dtml-in>
</ul>

This method correctly displays a list of hyperlinks displaying as text
the date property of my journal entries. So I assume it can find them.
But then when I click on the hyperlink I get the following Zope error
message:
**Note that the URL below correctly specifies the ID [982120208] of an
entry in Journals.entries, but I don't know what %22 is!
----------------------------------------------------------------------------------------------------------------

Zope Error

           Zope has encountered an error while publishing this resource.

           Debugging Notice

           Zope has encountered a problem publishing your object.

           Cannot locate object at:
http://localhost:8080/Journals/entries/982120208%22

          Troubleshooting Suggestions

                The URL may be incorrect.
                The parameters passed to this resource may be incorrect.

                A resource that this resource relies on may be
encountering an error.

           For more detailed information about the error, please refer
to the HTML source for this page.

           If the error persists please contact the site maintainer.
Thank you for your patience.

Traceback (innermost last):
  File C:\ZopeComantle\lib\python\ZPublisher\Publish.py, line 222, in
publish_module
  File C:\ZopeComantle\lib\python\ZPublisher\Publish.py, line 187, in
publish
  File C:\ZopeComantle\lib\python\Zope\__init__.py, line 221, in
zpublisher_exception_hook
    (Object: Traversable)
  File C:\ZopeComantle\lib\python\ZPublisher\Publish.py, line 162, in
publish
  File C:\ZopeComantle\lib\python\ZPublisher\BaseRequest.py, line 367,
in traverse
  File C:\ZopeComantle\lib\python\ZPublisher\HTTPResponse.py, line 558,
in debugError
NotFound: (see above)

-------------------------------------------------------------------------------------------------------------

Please help if you can! I'm using Zope 2.3 by the way, if that helps

cheers Sandy

[This message contained attachments]

________________________________________________________________________
________________________________________________________________________

Message: 17
   Date: Wed, 14 Feb 2001 16:36:47 +0100
   From: Oliver Bleutgen <[email-masked]>
Subject: Re: MailHost product?

> Hello,
>After upgrading to Zope 2.2.4, I can't mail anymore.
>[longer "case study" deleted	]
> Please help me! Why is there no good documentation?
> Why is Zope so baaad?

Edwin,
while I agree that searches on zope and in the collector 
sometimes don't deliver satisfactory results, I can't follow your 
here.
I tried the same thing that you described, i.e searched for "mailhost".
The 8th link which came back was titled
" Installing and Upgrading Zope ... ".
Clicked there and came to 
"How-To: Installing and Upgrading Zope 2.X"
at 
http://www.zope.org/Members/mcdonc/HowTos/zopeinstall/ZOPE-INSTALL-HOWTO
which clearly can assumed to fit to your situation.

The I seached again for "mailhost" in my browsers search function and the first
thing I found was:

"
Now that you've got your list of Products, cross the following off the list:

ExternalMethod
MIMETools
MailHost
OFSP
ZCatalog
ZGadflyDA
ZSQLMethods

These are core Zope products. They come with all releases of Zope and you needn't worry about replacing them in a new Zope install because they're automagically installed into every version of Zope. Products that you haven't crossed off your list are either core products that haven't been released before this writing or are products that you've installed yourself. For your "new" Zope to work as your old one did, we'll later need to reinstall any non-core products, so hang on to this list. "

So it seems that this should have provided you some help, because
there isn't a seperate mailhost-product.

How about consulting the above document and checking
whether you might have done something false.

cheers,
oliver

_______________________________________________
Zope maillist  -  [email-masked]
http://lists.zope.org/mailman/listinfo/zope
**   No cross posts or HTML encoding!  **
(Related lists - 
 http://lists.zope.org/mailman/listinfo/zope-announce
 http://lists.zope.org/mailman/listinfo/zope-dev )

________________________________________________________________________
________________________________________________________________________

Message: 18
   Date: Wed, 14 Feb 2001 08:19:19 -0800
   From: "Andy McKay" <[email-masked]>
Subject: Re: [Zope-dev] Introducing ZopePrints.

> partly on chaos theory, Jim's three laws of engineering (1. F=MA, 2. You
> can't solve a problem unless you know the answer, 3. You can't push a
> rope)  and on the abundance of Thai food.

Perhaps I need more beer but whats: F=MA?
--
  Andy McKay.

----- Original Message -----
From: "Michel Pelletier" <[email-masked]>
To: "Erik Enge" <[email-masked]>
Cc: <[email-masked]>
Sent: Tuesday, February 13, 2001 9:46 PM
Subject: Re: [Zope-dev] Introducing ZopePrints.

>
>
> On 12 Feb 2001, Erik Enge wrote:
>
> > The rationale behind this is that the community at large would benefit
> > from this by having _real_life_ case studies so when their time has
> > come to implement an application in Zope, they don't fall into the
> > same traps and pitfalls we did.  Instead of benchmarks, the Zope
> > community would use implementation documents to decide whether Zope is
> > up for the job or not, that's what really helps.
>
> We would love to see this description from you.  We inside DC have our own
> problem solving development process that is large, complex, slow, but
> often (IMO) accurate if done well.  It is based partly on the "Rational"
> model developed by the Three Amigos:
>
>
http://www.everything2.com/index.pl?node=the%20three%20amigos&lastnode_id=12
5995
>
> partly on chaos theory, Jim's three laws of engineering (1. F=MA, 2. You
> can't solve a problem unless you know the answer, 3. You can't push a
> rope)  and on the abundance of Thai food.
>
> We also have a "fishbowl" experiment community process, a "dogbowl"
> content managment design process, a documentation process, and one
> horse-choking travel policy.
>
> I think it would be great to get examples of your problems in a case study
> format, but also in a higher-level, pattern like description.  Your
> description sounds like it is based on the problem and the goals, which is
> really great.
>
> >
> > I'm quite sure that it will also work as a tool for finding gaps and
> > holes in either Zope or its tools and Products.
>
> Indeed.
>
> > We would like to start a project going in the Fishbowl which aims at
> > creating the right tools to document a project as described above.
>
> The fishbowl is the perfect place to do this.  In a conversation with
> other people including Brian who is the "keeper of the fishbowl" we
> realized that documentation artifacts come out of the fishbowl almost as
> much as the software.  In fact, that's one of the whole reasons for the
> fishbowl, to come up with better software because we thought about it and
> wrote down some words before we started hacking code.  Instant
> documentation.
>
> Good luck!
>
> -Michel
>
>
> _______________________________________________
> Zope-Dev maillist  -  [email-masked]
> http://lists.zope.org/mailman/listinfo/zope-dev
> **  No cross posts or HTML encoding!  **
> (Related lists -
>  http://lists.zope.org/mailman/listinfo/zope-announce
>  http://lists.zope.org/mailman/listinfo/zope )
>

_______________________________________________
Zope-Dev maillist  -  [email-masked]
http://lists.zope.org/mailman/listinfo/zope-dev
**  No cross posts or HTML encoding!  **
(Related lists - 
 http://lists.zope.org/mailman/listinfo/zope-announce
 http://lists.zope.org/mailman/listinfo/zope )

________________________________________________________________________
________________________________________________________________________

Message: 19
   Date: Wed, 14 Feb 2001 16:17:34 +0000
   From: Sandy Britain <[email-masked]>
Subject: Re:searching ZCatalog from Python Script - please read first!

Ooooops! OK I admit it - I'm too stupid to own a computer!

I've found my own obvious mistake - I had left a " out of my html in the dtml testing method which is why the %22
got appended to the end of the URL -
Doh!

so my question is a lot clearer:

running the python script on a Zcatalog -   return context.Catalog() - works fine and correctly returns all the
entries in the catalog, but the script -  return context.Catalog({'x' : x, 'y' : y}) runs but doesn't return any
results. I have quadruple checked
my syntax (with the example) although I'm confused that I can't find the Catalog() method in the Zope API
documentation. BTW the search keys and values definately do exist!

I must be doing something wrong, but I don't know what

Thanks in advance to anyone who can help,

Sandy.

>

[This message contained attachments]

________________________________________________________________________
________________________________________________________________________

Message: 20
   Date: Wed, 14 Feb 2001 11:12:51 -0500
   From: Shane Hathaway <[email-masked]>
Subject: [Zope-dev] Re: More Feedback on ZDebug and/or Refresh

Chris Withers wrote:
> 
> Shane Hathaway wrote:
> >
> > http://www.zope.org/Members/hathawsh/ZDebug
> > http://www.zope.org/Members/hathawsh/Refresh
> 
> Just noticed, since I installed these yesterday, the icon for the Python product
> I'm developing has changed to a ZCatalog icon. I'm using refresh on that product
> a lot adn ZDebug ocassionally.
> 
> Given that the icons go back to how they should be when I restart the Zope
> server, it sounds like a Refresh issue. As to why it picks a ZCatalog icon, I
> can onyl guess 'cos the product in question subclasses ZCatalog.

I've improved the display of exceptions.  But before packing up a 0.3.2
I wonder if we can get the icon problem solved.  Theoretically, version
0.3.1 should solve the icon problem (which I've seen before) because of
the module dependency resolution.  Are you doing anything unusual to get
the icon set up?

Oh, here's a hypothesis... if, in __init__.py, you use "import" within
the initialize() method rather than at module scope, Refresh can't
detect the module dependency correctly.

Shane

_______________________________________________
Zope-Dev maillist  -  [email-masked]
http://lists.zope.org/mailman/listinfo/zope-dev
**  No cross posts or HTML encoding!  **
(Related lists - 
 http://lists.zope.org/mailman/listinfo/zope-announce
 http://lists.zope.org/mailman/listinfo/zope )

________________________________________________________________________
________________________________________________________________________

Message: 21
   Date: Wed, 14 Feb 2001 16:53:23 +0000 (GMT)
   From: Matt Hamilton <[email-masked]>
Subject: Re: [Zope-dev] Introducing ZopePrints.

On Wed, 14 Feb 2001, Andy McKay wrote:

> Perhaps I need more beer but whats: F=MA?

Force = Mass x Acceleration

ie. the harder you kick the beer can the faster it will accelerate for any
given amount of beer in it. a.k.a why kicking empty beers can hurt your
toes less than kicking full ones. (why would you want to kick a full
one...?) 

:)

-Matt

-- 
Matt Hamilton                                         [email-masked]
Netsight Internet Solutions, Ltd.          Business Vision on the Internet
http://www.netsight.co.uk                               +44 (0)117 9090901
Web Hosting | Web Design  | Domain Names  |  Co-location  | DB Integration

_______________________________________________
Zope-Dev maillist  -  [email-masked]
http://lists.zope.org/mailman/listinfo/zope-dev
**  No cross posts or HTML encoding!  **
(Related lists - 
 http://lists.zope.org/mailman/listinfo/zope-announce
 http://lists.zope.org/mailman/listinfo/zope )

________________________________________________________________________
________________________________________________________________________

Message: 22
   Date: 14 Feb 2001 09:59:20 -0700
   From: Bill Anderson <[email-masked]>
Subject: OT: Re: KDE's Konqueror

On 14 Feb 2001 23:26:57 +0000, Anthony Baxter wrote:
> 
> >>> "Geoffrey L. Wright" wrote
> > It is a pig, though.  I have LinuxPPC running on a G4 450, and it does
> > really well there.  But my primary development box at work is a PII
> > 350, and Mozilla on that box is frustratingly slow to start.
> 
> I have to respond to this, because it's a pretty common complaint.
> 
> Mozilla's not quite yet at version 0.8. If you look at the roadmap,
> now's when the optimisation type stuff starts getting done - most, if
> not all, of the feature work is now done. So I'd expect to see it
> get way faster, real soon. Whether Netscape should have based their
> 6.0 browser on the version they did is questionable - Mozilla's roadmap
> advises 0.9 for people who are wanting to base browsers on their code.

Yup. I've been using the daily builds, and the Feb13th build is quite
superlative. _*MUCH*_ faster than .7 even dreamed about. Although, there
is a problem with the back button in teh Zope Management Interface
(spits javasript errors to stdout, and just sits there).

Bill

_______________________________________________
Zope maillist  -  [email-masked]
http://lists.zope.org/mailman/listinfo/zope
**   No cross posts or HTML encoding!  **
(Related lists - 
 http://lists.zope.org/mailman/listinfo/zope-announce
 http://lists.zope.org/mailman/listinfo/zope-dev )

________________________________________________________________________
________________________________________________________________________

Message: 23
   Date: Wed, 14 Feb 2001 12:04:39 -0500 (EST)
   From: Ayhan Ergul <[email-masked]>
Subject: Re: export to excel

Here's some crude code to do what you want. Note that some lines are
broken by my emailer and excel may be picky about extra white space. 

yourMethodName.csv:

Content-type: application/ms-excel

<dtml-let query="YourZSQLQuery()"
          names="query.names">
<dtml-in names>
<dtml-var "escape_csv(inStr=_['sequence-item'],
REQUEST=REQUEST)"><dtml-unless sequence-end>,</dtml-unless>
</dtml-in><dtml-var "'\r'">
<dtml-in query>
<dtml-in sequence-item>
<dtml-if sequence-item><dtml-var
sequence-item><dtml-unless sequence-end>,</dtml-unless>
</dtml-in><dtml-var "'\r'">
</dtml-in>
</dtml-let>

escape_csv:

<dtml-call "REQUEST.set('outStr', '')">
<dtml-if "_.chr(34) in inStr">
  <dtml-call "REQUEST.set('outStr', _.chr(34) +
_.string.join(_.string.split(inStr, _.chr(34)), _.chr(34)+_.chr(34)) +
_.chr(34))">
<dtml-else>
  <dtml-if "',' in inStr">
    <dtml-call "REQUEST.set('outStr', _.chr(34) + inStr + _.chr(34))">
  <dtml-else>
    <dtml-call "REQUEST.set('outStr', inStr)">
  </dtml-if>
</dtml-if>
<dtml-return "REQUEST['outStr']">

Ayhan Ergul <[email-masked]>

_______________________________________________
Zope maillist  -  [email-masked]
http://lists.zope.org/mailman/listinfo/zope
**   No cross posts or HTML encoding!  **
(Related lists - 
 http://lists.zope.org/mailman/listinfo/zope-announce
 http://lists.zope.org/mailman/listinfo/zope-dev )

________________________________________________________________________
________________________________________________________________________

Message: 24
   Date: Wed, 14 Feb 2001 09:08:55 -0800
   From: "Andy McKay" <[email-masked]>
Subject: Re: [Zope-dev] Introducing ZopePrints.

Ah that one. I was looking too deeply for something amusing there.
--
  Andy McKay.

----- Original Message -----
From: "Matt Hamilton" <[email-masked]>
To: "Andy McKay" <[email-masked]>
Cc: "Michel Pelletier" <[email-masked]>; "Erik Enge" <[email-masked]>;
<[email-masked]>
Sent: Wednesday, February 14, 2001 8:53 AM
Subject: Re: [Zope-dev] Introducing ZopePrints.

> On Wed, 14 Feb 2001, Andy McKay wrote:
>
> > Perhaps I need more beer but whats: F=MA?
>
> Force = Mass x Acceleration
>
> ie. the harder you kick the beer can the faster it will accelerate for any
> given amount of beer in it. a.k.a why kicking empty beers can hurt your
> toes less than kicking full ones. (why would you want to kick a full
> one...?)
>
> :)
>
> -Matt
>
> --
> Matt Hamilton                                         [email-masked]
> Netsight Internet Solutions, Ltd.          Business Vision on the Internet
> http://www.netsight.co.uk                               +44 (0)117 9090901
> Web Hosting | Web Design  | Domain Names  |  Co-location  | DB Integration
>
>
>
> _______________________________________________
> Zope-Dev maillist  -  [email-masked]
> http://lists.zope.org/mailman/listinfo/zope-dev
> **  No cross posts or HTML encoding!  **
> (Related lists -
>  http://lists.zope.org/mailman/listinfo/zope-announce
>  http://lists.zope.org/mailman/listinfo/zope )
>

_______________________________________________
Zope-Dev maillist  -  [email-masked]
http://lists.zope.org/mailman/listinfo/zope-dev
**  No cross posts or HTML encoding!  **
(Related lists - 
 http://lists.zope.org/mailman/listinfo/zope-announce
 http://lists.zope.org/mailman/listinfo/zope )

________________________________________________________________________
________________________________________________________________________

Message: 25
   Date: Wed, 14 Feb 2001 17:21:39 +0000
   From: tom smith <[email-masked]>
Subject: worldpilot broken? - not returning text of messages

hi all,

just wondered if anyone else has an idiot proof guide to installing
worldpilot on NT. That interfaces to NTMAIL.

Everything works but the body of the messages isn't displayed.

I also can't get a later copy of WorldPilot than 1.1 (I looked on
sourceforge but couldn't find a download button)

thanks

tom
p.s please also reply to [email-masked]

_______________________________________________
Zope maillist  -  [email-masked]
http://lists.zope.org/mailman/listinfo/zope
**   No cross posts or HTML encoding!  **
(Related lists - 
 http://lists.zope.org/mailman/listinfo/zope-announce
 http://lists.zope.org/mailman/listinfo/zope-dev )

________________________________________________________________________
________________________________________________________________________